mbsinit(3)

NAME
mbsinit - test for initial shift state

LIBRARY
Standard C library (libc, -lc)

SYNOPSIS
#include <wchar.h>

int mbsinit(const mbstate_t *ps);

DESCRIPTION
The function mbsinit() tests whether *ps corresponds to an initial shift state.

RETURN VALUE
mbsinit() returns nonzero if *ps is an initial shift state, or if ps is NULL. Otherwise, it returns 0.

ATTRIBUTES
For an explanation of the terms used in this section, see attributes(7).
Interface | Attribute | Value
 | Thread safety | MT-Safe

STANDARDS
C11, POSIX.1-2008.

HISTORY
POSIX.1-2001, C99.

NOTES
The behavior of mbsinit() depends on the LC_CTYPE category of the current locale.

SEE ALSO
mbstate_t(3type), mbrlen(3), mbrtowc(3), mbsrtowcs(3), wcrtomb(3), wcsrtombs(3)